--- src/bin/psql/describe.c.orig	Sun Jan 20 00:54:14 2008
+++ src/bin/psql/describe.c	Sun Jan 20 00:54:29 2008
@@ -387,6 +387,10 @@
 	appendPQExpBuffer(&buf,
 			",\n       pg_catalog.pg_encoding_to_char(d.encoding) as \"%s\"",
 					  _("Encoding"));
+	appendPQExpBuffer(&buf,
+			",\n       pg_size_pretty(pg_database_size(d.datname)) as \"%s\""
+			",\n       d.datacl as \"%s\"",
+					  _("Size"), _("Access privileges"));
 	if (verbose)
 	{
 		appendPQExpBuffer(&buf,
